## wav2cdr 2.1

=== Makefile ===
#
# Makefile for wav2cdr  (mainly Unix / gcc)
#
# Platforms / compilers supported:
#	SunOS 4.1.3: no
#	Solaris 2.5, gcc 2.7.2, ld SunOS/ELF (LK-2.0 (S/I)
#		use target solarisgcc (or default)
#	Solaris 2.5, cc SC4.0 18 Oct 1995 C 4.0, ld SunOS/ELF (LK-2.0 (S/I)
#		use target solariscc
#	Linux 2.0.30, gcc 2.7.2.1, GNU ld
#		used by default
#	MSDOS 6.2, Borland Turbo C 3.1
#		use target msdos
#		(doesn't really work, use Makefile.bc instead)
#		Other targets (Unix): formsdos, tomsdos
#		Other targets (MSDOS): msdosclean
#		Note: make 4.0 seems to crash. Use maker 4.0, or 3.6.
# Others may work too.
#
# Other targets (not supported by stupid makes/systems such as Borland's/M$):
#	depend		auto-generate dependencies
#	install		install the executable and man page
#
# Volker Kuhlmann
#


## where executable and man page is installed
INSTALLBINDIR = $(HOME)/bin
INSTALLMANDIR = $(HOME)/man
MANSECT = 1


## where to find chelp.h, vkclib.h
INCLUDEDIR = ../include
INCLUDEDIR = .
#INCLUDEDIR = $(HOME)/include


## which getopt to use and where to find it
#
# uncomment this for GNU getopt in the C library:
#GETOPTFLAGS = -DHAS_GNUGETOPT
#GETOPTSRCS =
#
# uncomment this for GNU getopt, this needs getopt.c, getopt1.c, getopt.h
# which can be taken from e.g. GNU tar 1.12:
#GETOPTDIR = .
#GETOPTDIR = gnugetopt
#GETOPTFLAGS = -DHAS_GNUGETOPT -I$(GETOPTDIR)
#GETOPTSRCS = $(GETOPTDIR)/getopt.c $(GETOPTDIR)/getopt1.c
#
# uncomment this for the quick and dirty getopt which comes with wav2cdr:
GETOPTSRCS = mygetopt.c


## CC
CC	= gcc
CDEFS	=
#CDEFS	+= -DDEBUG
#CDEFS	+= -DNO_ASSERTMANY
#CDEFS	+= -DBIG_ENDIAN
#CDEFS	+= -DLITTLE_ENDIAN
CWARN	= -Wall -Wshadow -Wlarger-than-32768 -Wpointer-arith -Wcast-align \
		-Wwrite-strings -Wmissing-prototypes -Wmissing-declarations
CWARN	+= -Wconversion -Wstrict-prototypes
CWARN	+= -W
CFL	= -ansi -pedantic
CFL	+= -O2
CFL	+= -g
CFLAGS	= $(CFL) -I$(INCLUDEDIR) $(CDEFS) $(GETOPTFLAGS) $(CWARN)
#
# Solaris gcc:
CDEFSsolgcc = 
#CDEFSsolgcc += -DDEBUG
#CDEFSsolgcc += -DNO_ASSERTMANY
#CDEFSsolgcc += -DBIG_ENDIAN
#
# Solaris cc:
# -misalign and not HANDLE_MISALIGNED will hang chartnet lib (incorrect values
# by ...swap_endian...() ?)
# HANDLE_MISALIGN will work with and without -misalign
# Neither of the 2 will turn into bus errors
CCsolcc = cc
CDEFSsolcc = 
#CDEFSsolcc += -DDEBUG
#CDEFSsolcc += -DNO_ASSERTMANY
#CDEFSsolcc += -DBIG_ENDIAN
CFLAGSsolcc = -Xc -I$(INCLUDEDIR)
#CFLAGSsolcc += -misalign
CFLAGSsolcc += -xO4
#CFLAGSsolcc += -g

## LD
#
# $(CC):
LD	= $(CC)
LDFLAGS	= $(CFL) -I$(INCLUDEDIR) $(GETOPTFLAGS) $(XLDFLAGS)
#
# Solaris cc/ld:
LDsolcc	= cc
LDFLAGSsolcc = -I$(INCLUDEDIR) $(GETOPTFLAGS) $(XLDFLAGS)

## AWK, SED
AWK	= awk
SED	= sed

## Strip backspace + following char
CX	= cx -q bs



HSRCS1 = $(INCLUDEDIR)/chelp.h mygetopt.h
HSRCS2 = wav2cdr.h
HSRCS = $(HSRCS1) $(HSRCS2)

CSRCS = wav2cdr.c cmdarg.c data.c fileio.c process.c

MADESRCS = usage.-c help.-c

OBJS = $(CSRCS:.c=.o) $(GETOPTSRCS:.c=.o)




# Implicit Rules

.1.txt:
	nroff -man $< | $(CX) >$*.txt
.txt.-c:
	$(SED) < $< 's/"/\\x22""/g' | $(AWK) > $*.-c '{print "\""$$0"\\n\""}'
	chmod a+r $*.-c
.c.o:
#	$(CC) -c $(CFLAGS) $(XCFLAGS) $<
	$(CC) -c $(CFLAGS) $(XCFLAGS) -o $*.o $<
.SUFFIXES:
.SUFFIXES: .1 .txt .-c .c .o


# Explicit Rules and Individual File Dependencies

all: wav2cdr
.PHONY: all build made delmadesources man depend showvar install uninstall

build: veryclean all

wav2cdr: $(OBJS)
	$(LD) -o wav2cdr $(LDFLAGS) $(XLDFLAGS) \
		$(OBJS)

#$(GETOPTSRCS):
#	$(CC) -c $(CFLAGS) $(GETOPTFLAGS) -o $*.o $(XCFLAGS) $<

# this is unlikely to work for Mickey$oft - don't delete usage.c/help.c!
made: delmadesources $(MADESRCS)
delmadesources:
	rm -f $(MADESRCS)
wav2cdr.o: $(MADESRCS)

# text version of the man page (no ^H)
man:
	rm -f wav2cdr.txt
	$(MAKE) $(MAKEFLAGS) wav2cdr.txt
	chmod 644 wav2cdr.txt

# a) This will screw up BorCrap make (targets may only appear once).
# b) The makedepend on our Solaris has no -Y.
depend: $(MADESRCS)
	makedepend -f Makefile -- $(CFLAGS) $(XCCFLAGS) -- $(CSRCS)

showvar:
	@echo "CC       =" $(CC)
	@echo "CFLAGS   =" $(CFLAGS)
	@echo "CCFLAGS  =" $(CCFLAGS)
	@echo "XCFLAGS  =" $(XCFLAGS)
	@echo "XCCFLAGS =" $(XCCFLAGS)
	@echo "LD       =" $(LD)
	@echo "LDFLAGS  =" $(LDFLAGS)
	@echo "XLDFLAGS =" $(XLDFLAGS)
	@echo "AR       =" $(AR)
	@echo "ARFLAGS  =" $(ARFLAGS)

install: all uninstall
	if [ ! -d $(INSTALLBINDIR) ]; then mkdir -p $(INSTALLBINDIR); fi
	cp -p wav2cdr $(INSTALLBINDIR)
	cd $(INSTALLBINDIR); chmod 755 wav2cdr
	if [ ! -d $(INSTALLMANDIR)/man$(MANSECT) ]; then \
		mkdir -p $(INSTALLMANDIR)/man$(MANSECT); fi
	cp -p wav2cdr.1 $(INSTALLMANDIR)/man$(MANSECT)
	cd $(INSTALLMANDIR)/man$(MANSECT); chmod 644 wav2cdr.1

uninstall:
	-cd $(INSTALLBINDIR); rm -f wav2cdr

.PHONY: clean veryclean vclean veryveryclean vvclean
clean:
	rm -f *.o *% Makefile*.bak core
	-if [ "$(GETOPTDIR)" != "" ]; then rm $(GETOPTDIR)/*.o; fi; exit 0

veryclean vclean: clean
	rm -f wav2cdr
	-rm $(INCLUDEDIR)/*.[ch]%; exit 0

veryveryclean vvclean: veryclean
	makedepend -f Makefile --  -- 
	rm -f Makefile.bak $(MADESRCS)
	rm -f *.obj *.exe wav2cdr.sym wav2cdr.map
	rm -f tc0000.swp turboc.\$$ln bcc.tmp


# Support different platforms with one Makefile
# default is Linux gcc / GNU ld
# Target "solaris" switches variables to solaris, but this supports only
# one target! (target all in this case)
# Note this requires SUN make, not GNU make!

.PHONY: solarisgcc solariscc linux warnsunmake

# Solaris gcc
solarisgcc := DEFS = $(CDEFSsolgcc)
solarisgcc: warnsunmake all

# Solaris cc
solariscc := CC = $(CCsolcc)
solariscc := DEFS = $(CDEFSsolcc)
solariscc := CFLAGS = $(CFLAGSsolcc)
solariscc := LD = $(LDsolcc)
solariscc := LDFLAGS = $(LDFLAGSsolcc)
solariscc: warnsunmake all

linux: all

warnsunmake:
	@echo "Be sure to use SUN make or it won't work!"
	@echo "-----------------------------------------"


# these 2 targets for administration only
.PHONY: pack sedver
# pack it up
pack:
	@echo "================================================"
	@echo "Making wav2cdr for version [$$(VERSION)$$(WV)]: $(VERSION)$(WV)"
	@echo "================================================"
	$(MAKE) $(MAKEFLAGS) $(MADESRCS) wav2cdr.txt
	chmod go+r $(MADESRCS) wav2cdr.txt
	cd ..; tar -cvhf wav2cdr-$(VERSION)$(WV).tar \
		wav2cdr/README wav2cdr/BUGS wav2cdr/TODO wav2cdr/COPYING \
		wav2cdr/ChangeLog \
		wav2cdr/Make* \
		wav2cdr/*.[ch1] \
		wav2cdr/help* wav2cdr/usage* \
		wav2cdr/wav2cdr.txt \
		wav2cdr/wav2cdr.lsm
	cd ..; gzip wav2cdr-$(VERSION)$(WV).tar
VO=wav2cdr .* Copyright (C) 19.* Volker Kuhlmann
VN=wav2cdr $(VERSION)$(WV) Copyright (C) 1997, 1998 Volker Kuhlmann
sedver:
	for n in $(HSRCS2) $(CSRCS); do \
	  sed <$$n >$$n.sed -e 's/$(VO)/$(VN)/'; \
	  if diff $$n $$n.sed >/dev/null; \
	  	then true; \
		else cat $$n.sed >$$n; rm $$n.sed; \
	  fi; \
	done


# MSDOS
# Borland C 3.1 make (Borland make 3.6 + 4.0) has no useful make utility,
# therefore must use a different approach:
#  NOT YET TESTED!

CCmsdos = bcc
CFLAGSmsdos = \
	-I..\include \
	-3 -A -k -mc -N -P-.C -r -y -Y- \
	$(XCCFLAGS)
#CFLAGSmsdos = \
#	-I..\include \
#	-3 -a -A -ff- -Ff=32767 -G -k -mc -N -P-.C -p- -r -u -vi- -y -Y- \
#	$(XCCFLAGS)
LDmsdos = $(CCmsdos) $(CFLAGSmsdos)
#LDmsdos = bcc
#LDFLAGSmsdos = -a -ff- -k -mc -N -u -Y- -y

.c.obj:
	$(CCmsdos) $(CFLAGSmsdos) -c {$< }
.SUFFIXES: .obj

.PHONY: msdos tomsdos msdosclean

msdos: wav2cdr.exe

wav2cdr.exe: $(OBJS:.o=.obj)
	$(LDmsdos) $(LDFLAGSmsdos) $(OBJS:.o=.obj)
#	tlink @turboc.lnk

tomsdos:
	if [ ! -d /D/prog/vkclib ]; then mkdir -p /D/prog/vkclib; fi
	cp -p Makefile vkclib.[ch] /D/prog/vkclib
	cp -p mf /D/prog/vkclib/makefile
	rm -f mf

msdosclean:
	del *.obj
	del wav2cdr.sym
	del wav2cdr.map        
	del tc0000.swp
	del turboc.$$ln
	del turboc.$ln

# For BorCrap make <4.0 delete all these dependency lines after the last
# comment (and a lot of other things...).

# DO NOT DELETE - AUTOMATICALLY CREATED BY MAKEDEPEND!!!
# DO NOT DELETE THIS LINE -- make depend depends on it.

## wav2cdr 2.3.2

=== Makefile ===
--- 
+++ 
@@ -116,7 +116,7 @@
 
 CSRCS = wav2cdr.c cmdarg.c data.c fileio.c process.c
 
-MADESRCS = usage.-c help.-c
+MADESRCS = version.-c usage.-c help.-c
 
 OBJS = $(CSRCS:.c=.o) $(GETOPTSRCS:.c=.o)
 
@@ -151,7 +151,7 @@
 #$(GETOPTSRCS):
 #	$(CC) -c $(CFLAGS) $(GETOPTFLAGS) -o $*.o $(XCFLAGS) $<
 
-# this is unlikely to work for Mickey$oft - don't delete usage.c/help.c!
+# this is unlikely to work for Mickey$oft - don't delete version/usage/help.-c!
 made: delmadesources $(MADESRCS)
 delmadesources:
 	rm -f $(MADESRCS)
@@ -233,36 +233,6 @@
 warnsunmake:
 	@echo "Be sure to use SUN make or it won't work!"
 	@echo "-----------------------------------------"
-
-
-# these 2 targets for administration only
-.PHONY: pack sedver
-# pack it up
-pack:
-	@echo "================================================"
-	@echo "Making wav2cdr for version [$$(VERSION)$$(WV)]: $(VERSION)$(WV)"
-	@echo "================================================"
-	$(MAKE) $(MAKEFLAGS) $(MADESRCS) wav2cdr.txt
-	chmod go+r $(MADESRCS) wav2cdr.txt
-	cd ..; tar -cvhf wav2cdr-$(VERSION)$(WV).tar \
-		wav2cdr/README wav2cdr/BUGS wav2cdr/TODO wav2cdr/COPYING \
-		wav2cdr/ChangeLog \
-		wav2cdr/Make* \
-		wav2cdr/*.[ch1] \
-		wav2cdr/help* wav2cdr/usage* \
-		wav2cdr/wav2cdr.txt \
-		wav2cdr/wav2cdr.lsm
-	cd ..; gzip wav2cdr-$(VERSION)$(WV).tar
-VO=wav2cdr .* Copyright (C) 19.* Volker Kuhlmann
-VN=wav2cdr $(VERSION)$(WV) Copyright (C) 1997, 1998 Volker Kuhlmann
-sedver:
-	for n in $(HSRCS2) $(CSRCS); do \
-	  sed <$$n >$$n.sed -e 's/$(VO)/$(VN)/'; \
-	  if diff $$n $$n.sed >/dev/null; \
-	  	then true; \
-		else cat $$n.sed >$$n; rm $$n.sed; \
-	  fi; \
-	done
 
 
 # MSDOS

## wav2cdr 2.3.3

=== Makefile ===
--- 
+++ 
@@ -40,10 +40,11 @@
 ## which getopt to use and where to find it
 #
 # uncomment this for GNU getopt in the C library:
-#GETOPTFLAGS = -DHAS_GNUGETOPT
-#GETOPTSRCS =
-#
-# uncomment this for GNU getopt, this needs getopt.c, getopt1.c, getopt.h
+GETOPTFLAGS = -DHAS_GNUGETOPT
+GETOPTSRCS =
+#
+# uncomment this for GNU getopt if it's not in your C library
+# this needs getopt.c, getopt1.c, getopt.h
 # which can be taken from e.g. GNU tar 1.12:
 #GETOPTDIR = .
 #GETOPTDIR = gnugetopt
@@ -51,7 +52,7 @@
 #GETOPTSRCS = $(GETOPTDIR)/getopt.c $(GETOPTDIR)/getopt1.c
 #
 # uncomment this for the quick and dirty getopt which comes with wav2cdr:
-GETOPTSRCS = mygetopt.c
+#GETOPTSRCS = mygetopt.c
 
 
 ## CC
@@ -126,7 +127,13 @@
 # Implicit Rules
 
 .1.txt:
-	nroff -man $< | $(CX) >$*.txt
+	#nroff -man $< | $(CX) >$*.txt
+	if [ `uname -s` = "Linux" ]; then\
+	  (echo -e ".ll 7.3i\n.pl 1100i"; cat $<; echo ".pl \n(nlu+10" )\
+	    | gtbl | groff -Tascii -mandoc | $(CX) >$*.txt;\
+	else\
+	   nroff -man $< | $(CX) >$*.txt;\
+	fi
 .txt.-c:
 	$(SED) < $< 's/"/\\x22""/g' | $(AWK) > $*.-c '{print "\""$$0"\\n\""}'
 	chmod a+r $*.-c
@@ -164,7 +171,7 @@
 	chmod 644 wav2cdr.txt
 
 # a) This will screw up BorCrap make (targets may only appear once).
-# b) The makedepend on our Solaris has no -Y.
+# b) The makedepend on our Solaris X11R5 has no -Y. (X11R6 has)
 depend: $(MADESRCS)
 	makedepend -f Makefile -- $(CFLAGS) $(XCCFLAGS) -- $(CSRCS)
 
@@ -283,4 +290,3 @@
 # comment (and a lot of other things...).
 
 # DO NOT DELETE - AUTOMATICALLY CREATED BY MAKEDEPEND!!!
-# DO NOT DELETE THIS LINE -- make depend depends on it.

=== debian/changelog ===
wav2cdr (2.3.3-11) unstable; urgency=low

  * New maintainer. Closes: #544632 #483808
  * Bumped Standards-Version
  * Switching to 3.0(quilt)
  * Switch to dpkg-source 3.0 (quilt) format
  * Support for x86_64

 -- Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>  Sat, 13 Feb 2010 17:08:22 -0600

wav2cdr (2.3.3-10) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Fri, 20 Jun 2008 19:36:00 +0200

wav2cdr (2.3.3-9) unstable; urgency=low

  * Updating to debhelper 7.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.

 -- Daniel Baumann <daniel@debian.org>  Sat, 31 May 2008 11:27:00 +0200

wav2cdr (2.3.3-8) unstable; urgency=low

  * Bumping to new policy.
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 21:11:00 +0100

wav2cdr (2.3.3-7) unstable; urgency=low

  * Minor cleanups.
  * Bumped package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Tue,  1 May 2007 13:16:00 +0200

wav2cdr (2.3.3-6) unstable; urgency=low

  * New email address.
  * Bumped policy version.

 -- Daniel Baumann <daniel@debian.org>  Thu,  6 Jul 2006 11:48:00 +0200

wav2cdr (2.3.3-5) unstable; urgency=low

  * New maintainer (Closes: #353526).
  * Redone debian/ based on newer debhelper-templates.
  * Using dpatch for patch management.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Mon, 20 Feb 2006 11:55:00 +0100

wav2cdr (2.3.3-4) unstable; urgency=low

  * Update maintainer email address.

 -- Philipp Kern <pkern@debian.org>  Mon, 28 Mar 2005 19:06:42 +0000

wav2cdr (2.3.3-3) unstable; urgency=low

  * New maintainer. (Closes: #288212)
  * Updated standards version.
  * Fixed lintian warnings.

 -- Philipp Kern <phil@philkern.de>  Tue, 11 Jan 2005 20:52:47 +0100

wav2cdr (2.3.3-2) unstable; urgency=low

  * Fixed typo in control file (closes: 125471)

 -- Bart Warmerdam <bartw@debian.org>  Sun, 24 Feb 2002 16:05:45 +0100

wav2cdr (2.3.3-1) unstable; urgency=low

  * New upstream release

 -- Bart Warmerdam <bartw@debian.org>  Tue,  7 Aug 2001 00:09:27 +0200

wav2cdr (2.3.2-2) frozen unstable; urgency=low

  * Fixed a manpage bug.

 -- Bart Warmerdam <BartW@Debian.org>  Sun, 13 Feb 2000 13:52:33 +0100

wav2cdr (2.3.2-1) unstable; urgency=low

  * New upstream release

 -- Bart Warmerdam <BartW@Debian.org>  Sun,  7 Nov 1999 13:15:31 +0100

wav2cdr (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Bart Warmerdam <BartW@Debian.org>  Sat, 17 Jul 1999 14:53:07 +0200

wav2cdr (2.2-1) unstable; urgency=low

  * New upstream version

 -- Bart Warmerdam <BartW@Debian.org>  Wed,  5 May 1999 10:53:03 +0200

wav2cdr (2.1-2) unstable; urgency=low

  * Patched datatypes to fix 64 bit platforms (Alpha)

 -- Bart Warmerdam <BartW@Debian.org>  Sat, 20 Feb 1999 08:31:19 +0100

wav2cdr (2.1-1) unstable; urgency=low

  * Initial Release.

 -- Bart Warmerdam <BartW@Debian.org>  Sun, 27 Sep 1998 20:21:38 +0200

=== debian/control ===
Source: wav2cdr
Section: sound
Priority: extra
Maintainer: Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>
Build-Depends: debhelper (>= 7), quilt (>= 0.40)
Standards-Version: 3.8.4

Package: wav2cdr
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Converts wav files into CD-ROM audio file format
 This program converts wav sound files into a format suitable for CD-ROMs, and
 can perform some editing functions like cutting or volume change. It is rather
 rudimentary, the wav file must have the same sampling parameters as CD audio.
 Runs both on big and little endian machines.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp: patch
	dh_testdir

	CFLAGS="$(CFLAGS)" $(MAKE)

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	rm -f wav2cdr

	dh_clean

install:

binary: binary-arch

binary-arch: build
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

## wav2cdr 2.3.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
 # Makefile for wav2cdr  (mainly Unix / gcc)
+# THIS ONLY WORKS WITH GNU MAKE!!!
 #
 # Platforms / compilers supported:
 #	SunOS 4.1.3: no
@@ -9,6 +10,8 @@
 #		use target solariscc
 #	Linux 2.0.30, gcc 2.7.2.1, GNU ld
 #		used by default
+#	Linux 2.6.13, gcc 4.0.2, GNU ld
+#		used by default
 #	MSDOS 6.2, Borland Turbo C 3.1
 #		use target msdos
 #		(doesn't really work, use Makefile.bc instead)
@@ -39,25 +42,42 @@
 
 ## which getopt to use and where to find it
 #
+# default is now GNUGETOPTC
+ifndef GNUGETOPT
+ifndef MYGETOPT
+ GNUGETOPTC=1
+endif
+endif
+#
 # uncomment this for GNU getopt in the C library:
-GETOPTFLAGS = -DHAS_GNUGETOPT
-GETOPTSRCS =
-#
-# uncomment this for GNU getopt if it's not in your C library
-# this needs getopt.c, getopt1.c, getopt.h
+ifdef GNUGETOPTC
+ GETOPTFLAGS = -DHAS_GNUGETOPT
+ GETOPTSRCS =
+#
+# uncomment this for GNU getopt, this needs getopt.c, getopt1.c, getopt.h
 # which can be taken from e.g. GNU tar 1.12:
-#GETOPTDIR = .
-#GETOPTDIR = gnugetopt
-#GETOPTFLAGS = -DHAS_GNUGETOPT -I$(GETOPTDIR)
-#GETOPTSRCS = $(GETOPTDIR)/getopt.c $(GETOPTDIR)/getopt1.c
+else
+ifdef GNUGETOPT
+ GETOPTDIR = .
+ GETOPTDIR = gnugetopt
+ GETOPTFLAGS = -DHAS_GNUGETOPT -I$(GETOPTDIR)
+ GETOPTSRCS = $(GETOPTDIR)/getopt.c $(GETOPTDIR)/getopt1.c
 #
 # uncomment this for the quick and dirty getopt which comes with wav2cdr:
-#GETOPTSRCS = mygetopt.c
+else
+ifdef MYGETOPT
+ GETOPTSRCS = mygetopt.c
+endif
+endif
+endif
 
 
 ## CC
 CC	= gcc
 CDEFS	=
+ifdef DEBUG
+ CDEFS	+= -DDEBUG
+endif
 #CDEFS	+= -DDEBUG
 #CDEFS	+= -DNO_ASSERTMANY
 #CDEFS	+= -DBIG_ENDIAN
@@ -67,7 +87,9 @@
 CWARN	+= -Wconversion -Wstrict-prototypes
 CWARN	+= -W
 CFL	= -ansi -pedantic
-CFL	+= -O2
+ifndef NOOPT
+ CFL	+= -O2
+endif
 CFL	+= -g
 CFLAGS	= $(CFL) -I$(INCLUDEDIR) $(CDEFS) $(GETOPTFLAGS) $(CWARN)
 #
@@ -96,11 +118,11 @@
 #
 # $(CC):
 LD	= $(CC)
-LDFLAGS	= $(CFL) -I$(INCLUDEDIR) $(GETOPTFLAGS) $(XLDFLAGS)
+LDFLAGS	= $(CFL) -I$(INCLUDEDIR) $(GETOPTFLAGS)
 #
 # Solaris cc/ld:
 LDsolcc	= cc
-LDFLAGSsolcc = -I$(INCLUDEDIR) $(GETOPTFLAGS) $(XLDFLAGS)
+LDFLAGSsolcc = -I$(INCLUDEDIR) $(GETOPTFLAGS)
 
 ## AWK, SED
 AWK	= awk
@@ -170,10 +192,24 @@
 	$(MAKE) $(MAKEFLAGS) wav2cdr.txt
 	chmod 644 wav2cdr.txt
 
+# help file compiled into the binary:
+# (this is just for the developer's convenience, and might not work reliably!)
+help.txt: wav2cdr.txt
+	sed <wav2cdr.txt \
+		-e 's:44100 Hz:%li Hz:'\
+		-e 's:size  of  2352:size  of  %i:'\
+		-e 's:size of 2352:size of %i:'\
+		-e 's:are 75 sec:are %i sec:' \
+	  | awk '!/^$$/ {print; el=0; next}; /^$$/ {if (!el) print; el=1}' \
+	  >help.txt
+	chmod 644 help.txt
+	#test `grep % help.txt | wc -l` = 3
+	test `tr ' ' '\n' < help.txt | grep % | wc -l` = 3
+
 # a) This will screw up BorCrap make (targets may only appear once).
 # b) The makedepend on our Solaris X11R5 has no -Y. (X11R6 has)
 depend: $(MADESRCS)
-	makedepend -f Makefile -- $(CFLAGS) $(XCCFLAGS) -- $(CSRCS)
+	makedepend -f Makefile.gmake -- $(CFLAGS) $(XCCFLAGS) -- $(CSRCS)
 
 showvar:
 	@echo "CC       =" $(CC)
@@ -209,8 +245,8 @@
 	-rm $(INCLUDEDIR)/*.[ch]%; exit 0
 
 veryveryclean vvclean: veryclean
-	makedepend -f Makefile --  -- 
-	rm -f Makefile.bak $(MADESRCS)
+	makedepend -f Makefile.gmake --  -- 
+	rm -f Makefile.gmake.bak $(MADESRCS)
 	rm -f *.obj *.exe wav2cdr.sym wav2cdr.map
 	rm -f tc0000.swp turboc.\$$ln bcc.tmp
 
@@ -240,6 +276,38 @@
 warnsunmake:
 	@echo "Be sure to use SUN make or it won't work!"
 	@echo "-----------------------------------------"
+
+
+# these 2 targets for administration only
+.PHONY: pack sedver
+# pack it up
+pack:
+	@echo "================================================"
+	@echo "Making wav2cdr for version [$$""(VERSION)$$""(WV)]: $(VERSION)$(WV)"
+	@echo "================================================"
+#	$(MAKE) $(MAKEFLAGS) $(MADESRCS) wav2cdr.txt
+	$(MAKE) $(MADESRCS) wav2cdr.txt
+	chmod go+r $(MADESRCS) wav2cdr.txt
+	cd ..; tar -cvhf wav2cdr-$(VERSION)$(WV).tar --owner root --group root \
+		wav2cdr/README wav2cdr/BUGS wav2cdr/TODO wav2cdr/COPYING \
+		wav2cdr/ChangeLog \
+		wav2cdr/Make* \
+		wav2cdr/*.[ch1] \
+		wav2cdr/help* wav2cdr/usage* wav2cdr/version* \
+		wav2cdr/wav2cdr.txt \
+		wav2cdr/wav2cdr.lsm wav2cdr/wav2cdr*.spec
+	-rm ../wav2cdr-$(VERSION)$(WV).tar.bz2
+	bzip2 -9 ../wav2cdr-$(VERSION)$(WV).tar
+VO=wav2cdr .* Copyright (C) 19.* Volker Kuhlmann
+VN=wav2cdr $(VERSION)$(WV) Copyright (C) 1997, 1998, 1999, 2000, 2006 Volker Kuhlmann
+sedver:
+	for n in $(HSRCS2) $(CSRCS); do \
+	  sed <$$n >$$n.sed -e 's/$(VO)/$(VN)/'; \
+	  if diff $$n $$n.sed >/dev/null; \
+	  	then rm $$n.sed; \
+		else cat $$n.sed >$$n; rm $$n.sed; \
+	  fi; \
+	done
 
 
 # MSDOS
@@ -290,3 +358,4 @@
 # comment (and a lot of other things...).
 
 # DO NOT DELETE - AUTOMATICALLY CREATED BY MAKEDEPEND!!!
+# DO NOT DELETE THIS LINE -- make depend depends on it.

=== debian/changelog ===
wav2cdr (2.3.4-6) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright:
      - Added packaging rights for Adrian Bunk and Bastian Germann.
      - Converted the last paragraph of the GPL-2+ in a comment.
      - Updated packaging copyright years.
  * debian/rules: replaced override_dh_clean with execute_before_dh_clean.
  * debian/tests/control: set two tests as superficial.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 29 Jan 2026 11:44:30 -0300

wav2cdr (2.3.4-5) unstable; urgency=medium

  * Team upload.
  * Replace bsdmainutils with bsdextrautils (for col).

 -- Bastian Germann <bage@debian.org>  Tue, 08 Aug 2023 23:12:13 +0200

wav2cdr (2.3.4-4) unstable; urgency=medium

  * QA upload.
  * Use C99 fixed-size integer types to fix runtime assertion on
    64bit architectures other than amd64 and alpha. (Closes: #956927)
  * data.c: Remove incorrect const. (Closes: #749005)
  * Stop linking to the dead Homepage.

 -- Adrian Bunk <bunk@debian.org>  Wed, 01 Jul 2020 21:44:51 +0300

wav2cdr (2.3.4-3) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright: updated packaging copyright years.
  * debian/source/include-binaries: created to control file
    debian/tests/silence.wav.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/*: added to perform trivial tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Apr 2020 23:42:55 -0300

wav2cdr (2.3.4-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #834310)
  * Migrated DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 4.1.1.
      - Changed Priority from extra to optional.
  * debian/copyright:
      - Updated all upstream and packaging data.
      - Updated GPL's license text.
  * debian/docs: removed useless file version.txt.
  * debian/patches:
      - Created 30_add-GCC-hardening.patch.
      - Created 40_fix-typo.patch to fix a typo for word 'arithmetic'.
      - Fixed all previous headers.
      - Renamed patches to add leading serial numbers.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS variable to improve the
      GCC hardening.
  * debian/watch:
      - Added a fake site to explain about the current status of the
        original upstream homepage.
      - Bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 02 Nov 2017 08:46:02 -0200

wav2cdr (2.3.4-1) unstable; urgency=low

  * Switch to DEP5 copyright format.
  * Added new docs builded to debian/docs
  * Added to build-dep gawk and bsdmainutils.
  * Added a patch for manpages and deprecated use of cx.
  * Added the homepage field on control.
  * Switch to dh scripts.
  * Bumped debhelper to 8.
  * Removed the build-dep quilt on control.
  * Removed the duplicated section field on control.
  * Added a watch file.
  * Bumped Standards-Version to 3.9.2
  * New upstream release.

 -- Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>  Tue, 05 Jul 2011 21:05:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: wav2cdr
 Section: sound
-Priority: extra
-Maintainer: Edgar Antonio Palma de la Cruz <xbytemx@gmail.com>
-Build-Depends: debhelper (>= 7), quilt (>= 0.40)
-Standards-Version: 3.8.4
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), bsdextrautils, gawk
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/wav2cdr
+Vcs-Git: https://salsa.debian.org/debian/wav2cdr.git
 
 Package: wav2cdr
-Section: sound
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Converts wav files into CD-ROM audio file format

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_clean:
	rm -f wav2cdr

override_dh_auto_install:
	dh_auto_install -- INSTALLBINDIR=debian/wav2cdr/usr/bin/ \
                           INSTALLMANDIR=debian/wav2cdr/usr/share/man/

=== debian/tests/control ===
Test-Command: wav2cdr -V | grep Version
Restrictions: superficial

Test-Command: wav2cdr --help | grep describes
Restrictions: superficial

Test-Command: wav2cdr debian/tests/silence.wav $AUTOPKGTEST_TMP/silence.mp3
